Bug 206026 - Task list indexer slow down indexing by 10%
Task list indexer slow down indexing by 10%
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Action Items
7.0
All All
: P2 (vote)
: 7.2
Assigned To: Jan Peska
issues@platform
: PERFORMANCE, PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-06 17:51 UTC by Tomas Zezula
Modified: 2012-02-23 09:31 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments
jpeska's patch (8.21 KB, text/plain)
2012-02-16 16:53 UTC, Jiri Rechtacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2011-12-06 17:51:41 UTC
TaskList indexer 10%.  The regex seems to be expensive. Either try to minimize the overhead or change the scope to file.
Comment 1 Jan Peska 2011-12-19 09:54:44 UTC
One performance upgrade - reduce number of calls Scope.isInScope() method.

http://hg.netbeans.org/core-main/rev/7408c2cb5d41
Comment 2 Jiri Rechtacek 2012-02-16 16:53:47 UTC
Created attachment 115836 [details]
jpeska's patch

The patch speeds up scanning of Tasks ('TODOs'), before was patched, opening web.jsf NBM took 10.3% whole scanning time. After applying the patch scanning of Tasks takes only 0.1%. I propose apply the patch as it's and solve open issues of future of Tasks window after that. Thanks Honzo for the your patch. Any comments?
Comment 3 Jiri Rechtacek 2012-02-21 07:35:54 UTC
Honzo, please go ahead and integrate the patch into trunk. Thanks
Comment 4 Jan Peska 2012-02-21 11:59:36 UTC
changeset: http://hg.netbeans.org/core-main/rev/86810b239d7c
Comment 5 Quality Engineering 2012-02-22 11:04:03 UTC
Integrated into 'main-golden', will be available in build *201202220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/86810b239d7c
User: Jan Peska <jpeska@netbeans.org>
Log: Issue #206026 - Task list indexer slow down indexing by 10%
default scope changed, indexing of the CurrentEditorScanningScope changed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo